CREATE TABLE gms_award_funding_sources_b (
    ID                       NUMBER(18, 0),
    AWARD_ID                 NUMBER(18, 0)    NOT NULL,
    FUNDING_SOURCE_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    APPROVAL_PERSON_ID       NUMBER(18, 0),
    APPROVAL_DATE            DATE         ,
    REQUIRED_BY_SPONSOR      VARCHAR2(4)  ,
    ID                       NUMBER(18, 0),
    AWARD_ID                 NUMBER(18, 0)    NOT NULL,
    FUNDING_SOURCE_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    APPROVAL_PERSON_ID       NUMBER(18, 0),
    APPROVAL_DATE            DATE         ,
    REQUIRED_BY_SPONSOR      VARCHAR2(4)  ,
    CONSTRAINT pk_gms_award_funding_sources_b PRIMARY KEY (ID, ID)
);
